Home Forums Vote Status Store

Pikacore Updated to 7.2

You will need Reforged 7.2 from here --> https://reforged.gg/
If you get the mod version error, you need to check that you are using 7.2 and you might need to try either pikadex.sedexrsps.com or play.sedexrsps.com and type /pikacore from lobby.
Pikadex remains on 7.1.1 during testing.